IMG_SaveAVIFAnimation_IO(3)

NAME
IMG_SaveAVIFAnimation_IO - Save an animation in AVIF format to an SDL_IOStream.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

bool IMG_SaveAVIFAnimation_IO(IMG_Animation *anim, SDL_IOStream *dst, bool closeio, int quality);

DESCRIPTION
If closeio is true, dst will be closed before returning, whether this function succeeds or not.

FUNCTION PARAMETERS

anim
    the animation to save.

dst an SDL_IOStream from which data will be written to.

closeio
    true to close/free the SDL_IOStream before returning, false to leave it open.

quality
    the desired quality, ranging between 0 (lowest) and 100 (highest).

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_SaveAnimation(3), IMG_SaveAnimationTyped_IO(3), IMG_SaveANIAnimation_IO(3), IMG_SaveAPNGAnimation_IO(3), IMG_SaveGIFAnimation_IO(3), IMG_SaveWEBPAnimation_IO(3)